%define name dctc
%define version 0.85.9
%define distsuffix plf
%define release %mkrel 4

Name: %{name}
Summary: DCTC is a Direct Connect clone.
Version: %{version}
Release: %{release}
License: GPL
# it seems this url is the good one, but no reply from website
Url: http://ac2i.homelinux.com/dctc/
Group:     System/Libraries
Source: %{name}-%{version}.tar.bz2
Patch0: dctc-gcc4.patch
BuildRoot: %{_tmppath}/build-root-%{name}
Provides: direct_connect

BuildRequires:	glib2-devel
BuildRequires:	openssl-devel
Buildrequires:	libdb-devel >= 3.3
BuildRequires:  libxml2-devel
BuildRequires:  automake1.7

%description
DCTC is a clone of Direct Connect.
It to share their files and talk (like IRC but more software
sharing oriented) using a proprietary protocol.

This package is in PLF because of Mandriva Linux policy forbidding
P2P softwares.

%prep
%setup -q
%patch0 -p0

%build
aclocal
automake
autoconf
%configure 

%install
%makeinstall 

%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-,root,root,0755)
%doc README ChangeLog TODO
%{_mandir}/*/*
%{_bindir}/*

%changelog
* Thu Sep 14 2006 Nicolas Lcureuil <neoclust@zarb.org> 0.85.9-4plf2007.0
- Rebuild

* Fri May 05 2006 Olivier Thauvin <nanardon@zarb.org> 0.85.9-3plf
- add plf reason
- update url
- use mkrel
- Fix build with gcc4

* Mon Apr 26 2004 Stefan van der Eijk <stefan@zarb.org> 0.85.9-2plf
- updated BuildRequires

* Sat Jan 24 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.85.9-1plf
- 0.85.9

* Sun Jan  4 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.85.8-1plf
- 0.85.8

* Fri Oct 31 2003 Stefan van der Eijk <stefan@eijk.nu> 0.85.5-2plf
- BuildRequires

* Fri Sep 05 2003 David Walluck <david@anti-microsoft.org> 0.85.5-1plf
- 0.85.5

* Mon Jul 14 2003 Bellegarde Cedric <gnumdk@wanadoo.fr> 0.85.4-1plf
- Make a spec file
